aboutsummaryrefslogtreecommitdiffstats
path: root/cli/i3lock.sh
diff options
context:
space:
mode:
authorAaron LI <aly@aaronly.me>2017-11-03 18:45:20 +0800
committerAaron LI <aly@aaronly.me>2017-11-03 18:45:20 +0800
commit5a8b44ee3328464a673c2be2e21873fb02f1425b (patch)
tree192c3cc96018a26a85ec470aad1f814ea989a947 /cli/i3lock.sh
parent08aa61a60172326f4ea70834cd28817c0c397421 (diff)
downloadatoolbox-5a8b44ee3328464a673c2be2e21873fb02f1425b.tar.bz2
Add several more collected scripts
Diffstat (limited to 'cli/i3lock.sh')
-rwxr-xr-xcli/i3lock.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/cli/i3lock.sh b/cli/i3lock.sh
new file mode 100755
index 0000000..1af93d6
--- /dev/null
+++ b/cli/i3lock.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+#
+# see i3lock(1)
+#
+# Aaron LI
+# 2017-10-03
+#
+
+revert() {
+ xset dpms 0 0 0
+}
+
+trap revert SIGHUP SIGINT SIGTERM
+xset +dpms dpms 5 5 5
+i3lock -n
+revert